// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface ExecuteSimpleOrderRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.ExecuteSimpleOrderRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string currency_pair = 1;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 1;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>optional string dealt_currency = 2;</code>
   */
  java.lang.String getDealtCurrency();
  /**
   * <code>optional string dealt_currency = 2;</code>
   */
  com.google.protobuf.ByteString
      getDealtCurrencyBytes();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 3;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 3;</code>
   */
  com.accelfin.server.demo.fx.dtos.SideDto getSide();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderTypeDto type = 4;</code>
   */
  int getTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderTypeDto type = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderTypeDto getType();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 5;</code>
   */
  boolean hasNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  boolean hasRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 6;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getRateOrBuilder();
}
